%global git_commit 4a068f565b21f313cb39d9e855d84c886ecfe393
%global git_date 20130403

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://git.osmocom.org/gr-osmosdr
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

Name:             rtl-sdr
URL:              http://sdr.osmocom.org/trac/wiki/rtl-sdr
Version:          0
Release:          0.2.%{git_suffix}%{?dist}
License:          GPLv2+
BuildRequires:    cmake
BuildRequires:    libusbx-devel
#BuildRequires:    libusb1-devel
Requires(pre):    shadow-utils
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          SDR utilities for Realtek RTL2832 based DVB-T dongles
Source0:          %{name}-%{version}-%{git_suffix}.tar.bz2
# patch sent upstream
Patch0:           rtl-sdr-0-lib64-fix.patch

%description
This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.

%package devel
Summary:          Development files for rtl-sdr
Group:            Applications/Communications
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for rtl-sdr.

%prep
%setup -q
%patch0 -p1 -b .lib64-fix
rm -f src/getopt/*
rmdir src/getopt

%build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

# remove static libs
rm -f %{buildroot}%{_libdir}/*.a

# Fix udev rules and allow access only to users in rtlsdr group
sed -i 's/MODE:="0666"/GROUP:="rtlsdr", MODE:="0660"/' ../rtl-sdr.rules
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -p -m 644 ../rtl-sdr.rules %{buildroot}%{_sysconfdir}/udev/rules.d/10-rtl-sdr.rules

%pre
getent group rtlsdr >/dev/null || \
  %{_sbindir}/groupadd rtlsdr >/dev/null 2>&1
exit 0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Apr  7 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20130403git4a068f56
- Preserve timestamp of 10-rtl-sdr.rules during install
- Added isa to devel subpackage requirement
- Removed bundled getopt

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20130403git4a068f56
- Initial version
